## ufl 2022.2.0

=== doc/sphinx/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

apidoc:
	sphinx-apidoc -f -T -o source/api-doc/ ../../ufl
clean:
	rm -rf $(BUILDDIR)/*

html: apidoc
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml: apidoc
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml: apidoc
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle: apidoc
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json: apidoc
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp: apidoc
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp: apidoc
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/UnifiedFormLanguageUFL.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/UnifiedFormLanguageUFL.qhc"

applehelp: apidoc
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

epub: apidoc
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex: apidoc
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf: apidoc
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja: apidoc
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text: apidoc
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man: apidoc
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo: apidoc
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info: apidoc
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext: apidoc
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes: apidoc
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck: apidoc
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest: apidoc
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage: apidoc
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml: apidoc
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml: apidoc
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
ufl (2022.2.0-2) unstable; urgency=medium

  * push 2022.2 to unstable

 -- Drew Parsons <dparsons@debian.org>  Mon, 19 Sep 2022 12:00:28 +0200

ufl (2022.2.0-1exp1) experimental; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Tue, 16 Aug 2022 21:39:36 +0200

=== debian/control ===
Source: ufl
Section: python
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Johannes Ring <johannr@simula.no>, Drew Parsons <dparsons@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 pybuild-plugin-pyproject,
 python3-all:any (>= 3.6),
 python3-setuptools,
 python3-numpy,
 python3-pytest
Standards-Version: 4.6.1
Homepage: http://fenicsproject.org
Vcs-Git: https://salsa.debian.org/science-team/fenics/ufl.git
Vcs-Browser: https://salsa.debian.org/science-team/fenics/ufl

Package: python3-ufl
Architecture: all
Depends:
 python3-numpy,
 python3-pkg-resources,
 ${python3:Depends},
 ${misc:Depends}
Suggests: python-ufl-doc
Conflicts: python-ufl (<< 2018.1~)
Replaces: python-ufl
Description: unified language for form-compilers (Python 3)
 UFL (Unified Form Language) is a unified language for definition of
 variational forms intended for finite element discretization. More
 precisely, it defines a fixed interface for choosing finite element
 spaces and defining expressions for weak forms in a notation close to
 mathematical notation.  The form compilers FFC and SyFi use UFL as
 their end-user interface, producing UFC implementations as their
 output.
 .
 This package installs the library for Python 3.

Package: python-ufl-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: documentation and demos for UFL
 UFL (Unified Form Language) is a unified language for definition of
 variational forms intended for finite element discretization. More precisely,
 it defines a fixed interface for choosing finite element spaces and defining
 expressions for weak forms in a notation close to mathematical notation.
 The form compilers FFC and SyFi use UFL as their end-user interface,
 producing UFC implementations as their output.
 .
 This package contains documentation and demos for UFL.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ufl-$1.tar.gz%" \
 https://github.com/FEniCS/ufl/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## ufl 2022.2.0+legacy20230618.20a231f

=== debian/changelog ===
ufl (1:2022.2.0+legacy20230618.20a231f-1) unstable; urgency=medium

  * snapshot of upstream ufl_legacy branch
    - renames ufl_logger as "UFL_LEGACY" not "UFL"
    - applies ufl_legacy renaming patches
  * drop debian patch log_explicit_handler_only.patch to track
    upstream more closely (this patch is not needed after renaming the
    logger as "UFL_LEGACY")
  * update debian/copyright for ufl_legacy
  * debian/control: use https for upstream Homepage

 -- Drew Parsons <dparsons@debian.org>  Sat, 24 Jun 2023 13:39:58 +0200

ufl (1:2022.2.0-5) experimental; urgency=medium

  * debian patch log_explicit_handler_only.patch deactivates
    propagation of existing log handlers so that only the explicitly
    added handler is used actively (the previous test of no default
    handlers now fails)

 -- Drew Parsons <dparsons@debian.org>  Fri, 28 Apr 2023 00:45:15 +0200

ufl (1:2022.2.0-4) experimental; urgency=medium

  * debian patch metadata_rename_ufl_legacy_5c6bb3e.patch applies
    upstream commit 5c6bb3e from PR155 to rename distribution metadata
    from fenics-ufl to fenics-ufl-legacy
    - remove python3-ufl-legacy Conflicts: python3-ufl (<< 2022.2.0-3)
  * Standards-Version: 4.6.2

 -- Drew Parsons <dparsons@debian.org>  Wed, 26 Apr 2023 17:07:23 +0200

ufl (1:2022.2.0-3) experimental; urgency=medium

  * Rename binary packages python3-ufl-legacy and
    python-ufl-legacy-docs. This package installs the legacy (2022)
    library used by the legacy FEniCS packages ffc and dolfin.
    The python module is renamed ufl_legacy rather than ufl.
  * add an epoch (1:) to the debian version number to make a clear
    distinction between the legacy version and the current 2023 version
    (now provided by src:fenics-ufl)
  * document the change in python module name in README.Debian
    and debian/NEWS
  * debian/watch: pin to watch 2022 versions only
    (2023.1.0 is already incompatible with legacy ffc and dolfin)
  * debian patches rename_ufl_legacy.patch,
    test_rename_ufl_legacy.patch and demo_rename_ufl_legacy.patch
    rename references from namespace ufl to ufl_legacy
  * provide actual docs in doc package, not just demos
    - doc_rename_ufl_legacy.patch updates ufl reference to ufl_legacy
    - debian patch doc_local_mathjax.patch uses local mathjax
    - Build-Depends: pythons-sphinx, libjs-mathjax <!nodoc>
  * python3-ufl-legacy Conflicts: python3-ufl (<< 2022.2.0-3)
    because of the fenics_ufl-2022.2.0.dist-info files

 -- Drew Parsons <dparsons@debian.org>  Mon, 16 Jan 2023 02:08:02 +0100

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=ufl_legacy
export PYBUILD_DISABLE=test
#export PYBUILD_TEST_ARGS={dir}/test
#export PYBUILD_TEST_PYTEST=1

DEB_DESTDIR = $(CURDIR)/debian/tmp
USCAN_DESTDIR := $(CURDIR)

PY3VER_DEFAULT := $(shell py3versions -dv)

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -rf *.egg-info

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
execute_after_dh_auto_clean:
	$(MAKE) -C doc/sphinx clean
endif

execute_after_dh_auto_install:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/debian/python3-ufl-legacy/usr/lib/python$(PY3VER_DEFAULT)/dist-packages:${PYTHONPATH} $(MAKE) -C doc/sphinx html
endif

override_dh_compress:
	dh_compress -X.py -X.ufl

.PHONY: get-orig-source
get-orig-source:
	uscan --force-download --verbose --destdir $(USCAN_DESTDIR)

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ufl-$1.tar.gz%" \
 https://github.com/FEniCS/ufl/tags \
 (?:.*?/)?v?(2022[\d.]*)\.tar\.gz debian uupdate

## ufl 2022.3.0

=== doc/sphinx/Makefile ===
--- 
+++ 
@@ -49,7 +49,7 @@
 	@echo "  coverage   to run coverage check of the documentation (if enabled)"
 
 apidoc:
-	sphinx-apidoc -f -T -o source/api-doc/ ../../ufl
+	sphinx-apidoc -f -T -o source/api-doc/ ../../ufl_legacy
 clean:
 	rm -rf $(BUILDDIR)/*

=== debian/changelog ===
ufl (1:2022.3.0-1) unstable; urgency=medium

  * New upstream release. Final legacy release.
  * update upstream source URL to https://github.com/FEniCS/ufl-legacy
  * upstream README.rst changed to README.md
  * dh_clean removes generated api-doc folder. Closes: #1045491.

 -- Drew Parsons <dparsons@debian.org>  Mon, 13 Nov 2023 21:32:30 +0100

=== debian/control ===
Source: ufl
Section: python
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Johannes Ring <johannr@simula.no>, Drew Parsons <dparsons@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 pybuild-plugin-pyproject,
 python3-all:any (>= 3.6),
 python3-setuptools,
 python3-numpy,
 python3-pytest,
 python3-sphinx,
 libjs-mathjax <!nodoc>
Standards-Version: 4.6.2
Homepage: https://fenicsproject.org
Vcs-Git: https://salsa.debian.org/science-team/fenics/ufl.git
Vcs-Browser: https://salsa.debian.org/science-team/fenics/ufl

Package: python3-ufl-legacy
Architecture: all
Depends:
 python3-numpy,
 python3-pkg-resources,
 ${python3:Depends},
 ${misc:Depends}
Suggests: python-ufl-legacy-doc
Description: legacy unified language for form-compilers (Python 3)
 UFL (Unified Form Language) is a unified language for definition of
 variational forms intended for finite element discretization. More
 precisely, it defines a fixed interface for choosing finite element
 spaces and defining expressions for weak forms in a notation close to
 mathematical notation.  The form compilers FFC and SyFi use UFL as
 their end-user interface, producing UFC implementations as their
 output.
 .
 This package installs the legacy (2022) library for Python 3 used by
 the legacy FEniCS packages ffc and dolfin. The python package is
 renamed ufl_legacy rather than ufl.

Package: python-ufl-legacy-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: libjs-mathjax, ${sphinxdoc:Depends}, ${misc:Depends}
Description: documentation and demos for legacy UFL
 UFL (Unified Form Language) is a unified language for definition of
 variational forms intended for finite element discretization. More precisely,
 it defines a fixed interface for choosing finite element spaces and defining
 expressions for weak forms in a notation close to mathematical notation.
 The form compilers FFC and SyFi use UFL as their end-user interface,
 producing UFC implementations as their output.
 .
 This package contains documentation and demos for legacy (2022) UFL
 used by old ffc and dolfin. The python package is renamed ufl_legacy
 rather than ufl.

=== debian/tests/control ===
Tests: test-ufl
Depends: python3-ufl-legacy, python3-all, python3-pytest, mpi-default-bin

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ufl-$1.tar.gz%" \
 https://github.com/FEniCS/ufl-legacy/tags \
 (?:.*?/)?v?(2022[\d.]*)\.tar\.gz debian uupdate
